Package org.pgpainless.key.generation

# Interface KeyRingBuilderInterface<B extends KeyRingBuilderInterface<B>>

All Known Implementing Classes:
  `KeyRingBuilder`

public interface KeyRingBuilderInterface<B extends KeyRingBuilderInterface<B>>

## Method Summary

Modifier and Type
Method
Description
`B`
`addSubkey(KeySpec keySpec)`
`default B`
`addSubkey(KeySpecBuilder builder)`
`B`
`addUserId(byte[] userId)`
`B`
`addUserId(String userId)`
`default B`
`addUserId(UserId userId)`
`org.bouncycastle.openpgp.PGPSecretKeyRing`
`build()`
`B`
`setExpirationDate(Date expirationDate)`
`B`
`setPassphrase(Passphrase passphrase)`
`B`
`setPrimaryKey(KeySpec keySpec)`
`default B`
`setPrimaryKey(KeySpecBuilder builder)`

## Method Details

### setPrimaryKey

B setPrimaryKey(@Nonnull KeySpec keySpec)

### setPrimaryKey

default B setPrimaryKey(@Nonnull KeySpecBuilder builder)

### addSubkey

B addSubkey(@Nonnull KeySpec keySpec)

### addSubkey

default B addSubkey(@Nonnull KeySpecBuilder builder)

### addUserId

default B addUserId(UserId userId)

### addUserId

B addUserId(@Nonnull String userId)

### addUserId

B addUserId(@Nonnull byte[] userId)

### setExpirationDate

B setExpirationDate(@Nonnull Date expirationDate)

### setPassphrase

B setPassphrase(@Nonnull Passphrase passphrase)

### build

org.bouncycastle.openpgp.PGPSecretKeyRing build() throws NoSuchAlgorithmException, org.bouncycastle.openpgp.PGPException, InvalidAlgorithmParameterException

Throws:
  `NoSuchAlgorithmException`
  `org.bouncycastle.openpgp.PGPException`
  `InvalidAlgorithmParameterException`